/* Example: for loops (also a simple macro) */

#include <stdio.h>

#define skip {putchar('\n'); putchar('\n');}
/* This is called a "macro" */

main()
{
  int m, i, n = 20;
  
  /* Standard C idiom for doing something n times: */
  
  for (i = 0; i < n; i++)
    putchar('*');
  
  skip;
  
  for (m = 1; m <= 10; m++)  /* counting up */
    printf("%i ", m);
    
  skip;
      
  for (m = 10; m > 0; m--)  /* counting down */
    printf("%i ", m);
    
  skip;
    
  for (m = 0; m < 21; m += 2) /* counting up in 2s */
    printf("%i ", m);
    
  putchar('\n');
}
